
Katello - Bug #27538

Organization update API documents organization as required, while it is not.

08/07/2019 01:11 PM - Evgeni Golov

Status: New   

Priority: Normal   

Assignee: John Mitsch   

Category:    

Target version: Katello Backlog   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases: Katello 3.12.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We currently document that the user needs to pass an organization Hash when updating an Org, but in reality this is not really

needed when the user only wants to update the redhat_repository_url which lives outside this Hash (why that is so is a different

question).

Related issues:

Related to Foreman - Tracker #27680: API bugs that need workarounds in forema... New

History

#1 - 08/07/2019 05:49 PM - Jonathon Turel

- Target version set to Katello Backlog

- Difficulty set to trivial

- Triaged changed from No to Yes

#2 - 08/22/2019 06:42 AM - Evgeni Golov

- Related to Tracker #27680: API bugs that need workarounds in foreman-ansible-modules added

#3 - 08/28/2019 02:50 PM - John Mitsch

- Assignee set to John Mitsch

- Triaged changed from Yes to No

I looked at this for the backlog grooming day, but going to have to dig/ask around more about why we use the Foreman Taxonomies param group

rather than the one defined in that controller. The one defined in the Katello controller has the "action_aware" argument meaning it would not be

required for update, only create (and fix this issue if we use that). Assigning to myself and we will re-triage :) 

https://github.com/Katello/katello/blob/master/app/controllers/katello/api/v2/organizations_controller.rb#L64

#4 - 08/28/2019 03:08 PM - John Mitsch

https://github.com/Katello/katello/pull/8209 has some more info as well

#5 - 08/28/2019 06:01 PM - James Jeffers

- Triaged changed from No to Yes
